/* 
   Affix - Bluetooth Protocol Stack for Linux
   Copyright (C) 2001 Nokia Corporation
   Original Author: Dmitry Kasatkin <dmitry.kasatkin@nokia.com>

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/* 
   $Id: bthfp.h,v 1.1 2002/07/12 13:06:43 kds Exp $

   OBEX client lib 

   Fixes:	Dmitry Kasatkin <dmitry.kasatkin@nokia.com>

*/

#ifndef _BTHFP_H
#define _BTHFP_H


#define SERVERFD	0
#define CLIENTFD	1

typedef struct hfp	hfp_t;
typedef void (*hfp_event_t)(hfp_t *handle, int event);

struct hfp {

	char	*name;

	int		fd;	/* client fd */
	int		sfd;	/* server fd */
	uint16_t	sport;

	hfp_event_t	eventcb;
	void *		userdata;
	
	struct sockaddr_affix	peer;
	struct sockaddr_affix	local;

	ServiceRecord	*svcRec;
	__u16		SupportedFeatures;
	__u16		peerSupportedFeatures;
};


/* exported declarations */
hfp_t *hfp_init(hfp_event_t eventcb, int flags);
void hfp_cleanup(hfp_t *handle);
int hfp_server_register(hfp_t *handle);
int hfp_connect(hfp_t *handle, void *addr);
int hfp_handle_input(hfp_t *handle);

#endif
