/* 
   Affix - Bluetooth Protocol Stack for Linux
   Copyright (C) 2001 Nokia Corporation
   Original Author: Dmitry Kasatkin <dmitry.kasatkin@nokia.com>

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/* 
   $Id: utils.h,v 1.4 2002/09/13 16:55:43 kds Exp $

   OBEX client lib 

   Fixes:
   		Dmitry Kasatkin <dmitry.kasatkin@nokia.com>
*/		

#ifndef _BTUTILS_H
#define _BTUTILS_H

#include <glib.h>

#include <affix/btcore.h>

gint get_fileinfo(const char *name, char *lastmod);
guint8* easy_readfile(const char *filename, int *file_size);
gint safe_save_file(gchar *name, const guint8 *buf, gint len);

#define PIDOF_SINGLE	0x01
#define PIDOF_OMIT	0x02
#define PIDOF_POMIT	0x04
#define PIDOF_SCRIPTS	0x08
int affix_pidof(char *name, int flags, pid_t pid);

char *xml_element(char **buf, char **attr);
char *xml_attribute(char **buf, char **value);
int rmkdir(char *new_dir, int mode);
int get_filesize(const char *filename);
int get_speed(int size, struct timeval *tv_start, struct timeval *tv_end,
		long int *rsec, long int *rusec, double *speed);


int str2mask(struct affix_tupla *map, char *str, unsigned int *mask);
int mask2str(struct affix_tupla *map, char *str, unsigned int mask);
int str2cod(char *str, uint32_t *cod);
int str2cod_svc(char *str, uint32_t *cod);
int str2pkt_type(char *str, unsigned int *pkt_type);
int str2sec_level(char *str, unsigned int *sec_level);


#endif	/* _BTUTILS_H */

